Skip to main content
GET
/
v1
/
pipelines
List pipelines
curl --request GET \
  --url https://api.slant.app/v1/pipelines \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "pipeline123xyz",
      "name": "Sales Pipeline",
      "pipeline_type": "prospect",
      "book_id": "book123xyz",
      "pipeline_stages": [
        {
          "id": "stage123xyz",
          "name": "Qualified",
          "stage_order": 1,
          "visible": true,
          "default_probability": 50
        }
      ]
    }
  ],
  "pagination": {
    "current_page": 1,
    "total_pages": 10,
    "total_count": 100,
    "per_page": 25
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.slant.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

OAuth 2.0 Bearer Token from Clerk authentication

Query Parameters

page
integer

Page number

per_page
integer

Items per page (1-100, default: 25). Values over 100 will be clamped to 100.

Required range: 1 <= x <= 100
book_id
string

Filter by book ID

Response

successful

data
object[]
required
pagination
object
required